# To use the device you need to install a control-point (example: gupnp-universal-cp)
class MyHome:

    from easy.upnp_utils import *
    
    device_name = "MyHome"
    service_name = "Eletronics"

#    manufacturer = "a"
#    model_description = "b"
#    model_name =  "c"
#    model_number =  "d"
#    serial_number =  "e"
    
    @action("turn_on_tv")
    @input("n1:string", "n2:int:","n3:boolean")
    @output("resul1:string", "resul2:boolean")
    def turn_on_tv(self, *args, **kwargs):
        print "turn on tv code..."
        return {'turn_on_tvResponse': {"resul1":"ok!", "resul2":1}}
    
    @action("turn_on_microwave")
    @input("in1:string", "in2:ui4")
    @output("out:boolean")
    def turn_on_microwave(self, *args, **kwargs):
        print "turn on microwave code..."
        return {'turn_on_microwaveResponse': {"out":1}}
    
    @action("turn_on_air_conditioning")
    @input("a:int", "b:boolean")
    @output("out:int")
    def turn_on_air_conditioning(self, *args, **kwargs):
        print "turn on air conditioning code..."
        return {'turn_on_microwaveResponse': {"out":100}}
    
    @action("turn_on_light")
    @input("x:boolean", "y:int", "z:ui4")
    @output("resul:string")
    def turn_on_light(self, *args, **kwargs):
        print "turn on light code..."
        return {'turn_on_lightResponse': {"resul":"ok!"}}

from easy import upnp

home_device = MyHome()
upnp.start(home_device)